Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 272540 - sys-libs/libraw1394-2.0.0 fails to compile with _FORTIFY_SOURCE=2
Summary: sys-libs/libraw1394-2.0.0 fails to compile with _FORTIFY_SOURCE=2
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: AMD64 Linux
: High major (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: fortify-source
  Show dependency tree
 
Reported: 2009-06-04 06:52 UTC by André Terpstra
Modified: 2009-07-05 10:25 UTC (History)
10 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
libraw1394-2.0.{0,1,2}-fwdir.patch for fixing INCLUDES problem (libraw1394-2.0.2-fwdir.patch,764 bytes, patch)
2009-06-14 13:08 UTC, Mike Auty
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description André Terpstra 2009-06-04 06:52:28 UTC
Emerge output:

checking for a BSD-compatible install... /usr/bin/install -c         
checking whether build environment is sane... yes                    
checking for a thread-safe mkdir -p... /bin/mkdir -p                 
checking for gawk... gawk                                            
checking whether make sets $(MAKE)... yes                            
checking for x86_64-pc-linux-gnu-gcc... x86_64-pc-linux-gnu-gcc      
checking for C compiler default output file name... a.out            
checking whether the C compiler works... yes                         
checking whether we are cross compiling... no                        
checking for suffix of executables...                                
checking for suffix of object files... o                             
checking whether we are using the GNU C compiler... yes              
checking whether x86_64-pc-linux-gnu-gcc accepts -g... yes           
checking for x86_64-pc-linux-gnu-gcc option to accept ISO C89... none needed
checking for style of include used by make... GNU                           
checking dependency style of x86_64-pc-linux-gnu-gcc... gcc3                
checking build system type... x86_64-pc-linux-gnu                           
checking host system type... x86_64-pc-linux-gnu                            
checking for a sed that does not truncate output... /bin/sed                
checking for grep that handles long lines and -e... /bin/grep               
checking for egrep... /bin/grep -E                                          
checking for fgrep... /bin/grep -F                                          
checking for ld used by x86_64-pc-linux-gnu-gcc... /usr/x86_64-pc-linux-gnu/bin/ld
checking if the linker (/usr/x86_64-pc-linux-gnu/bin/ld) is GNU ld... yes         
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B             
checking the name lister (/usr/bin/nm -B) interface... BSD nm                     
checking whether ln -s works... yes                                               
checking the maximum length of command line arguments... 1572864                  
checking whether the shell understands some XSI constructs... yes                 
checking whether the shell understands "+="... yes                                
checking for /usr/x86_64-pc-linux-gnu/bin/ld option to reload object files... -r  
checking how to recognize dependent libraries... pass_all                         
checking for x86_64-pc-linux-gnu-ar... x86_64-pc-linux-gnu-ar                     
checking for x86_64-pc-linux-gnu-strip... x86_64-pc-linux-gnu-strip               
checking for x86_64-pc-linux-gnu-ranlib... x86_64-pc-linux-gnu-ranlib             
checking command to parse /usr/bin/nm -B output from x86_64-pc-linux-gnu-gcc object... ok
checking how to run the C preprocessor... x86_64-pc-linux-gnu-gcc -E                     
checking for ANSI C header files... yes                                                  
checking for sys/types.h... yes                                                          
checking for sys/stat.h... yes                                                           
checking for stdlib.h... yes                                                             
checking for string.h... yes                                                             
checking for memory.h... yes                                                             
checking for strings.h... yes                                                            
checking for inttypes.h... yes                                                           
checking for stdint.h... yes                                                             
checking for unistd.h... yes                                                             
checking for dlfcn.h... yes                                                              
checking for objdir... .libs                                                             
checking if x86_64-pc-linux-gnu-gcc supports -fno-rtti -fno-exceptions... no             
checking for x86_64-pc-linux-gnu-gcc option to produce PIC... -fPIC -DPIC                
checking if x86_64-pc-linux-gnu-gcc PIC flag -fPIC -DPIC works... yes                    
checking if x86_64-pc-linux-gnu-gcc static flag -static works... yes                     
checking if x86_64-pc-linux-gnu-gcc supports -c -o file.o... yes                         
checking if x86_64-pc-linux-gnu-gcc supports -c -o file.o... (cached) yes                
checking whether the x86_64-pc-linux-gnu-gcc linker (/usr/x86_64-pc-linux-gnu/bin/ld -m elf_x86_64) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no                                                                           
checking dynamic linker characteristics... GNU/Linux ld.so                                                                          
checking how to hardcode library paths into programs... immediate                                                                   
checking whether stripping libraries is possible... yes                                                                             
checking if libtool supports shared libraries... yes                                                                                
checking whether to build shared libraries... yes                                                                                   
checking whether to build static libraries... yes                                                                                   
checking for a BSD-compatible install... /usr/bin/install -c                                                                        
checking size of void *... 8                                                                                                        
checking for an ANSI C-conforming const... yes                                                                                      
checking whether byte ordering is bigendian... no                                                                                   
configure: creating ./config.status                                                                                                 
config.status: creating Makefile                                                                                                    
config.status: creating libraw1394.pc                                                                                               
config.status: creating libraw1394.spec                                                                                             
config.status: creating src/Makefile                                                                                                
config.status: creating tools/Makefile                                                                                              
config.status: creating doc/Makefile                                                                                                
config.status: creating doc/testlibraw.1                                                                                            
config.status: creating doc/sendiso.1                                                                                               
config.status: creating doc/dumpiso.1                                                                                               
config.status: creating doc/isodump.5                                                                                               
config.status: creating config.h                                                                                                    
config.status: executing depfiles commands                                                                                          
config.status: executing libtool commands                                                                                           
make  all-recursive                                                                                                                 
make[1]: Entering directory `/var/tmp/portage/sys-libs/libraw1394-2.0.0/work/libraw1394-2.0.0'                                      
Making all in src                                                                                                                   
make[2]: Entering directory `/var/tmp/portage/sys-libs/libraw1394-2.0.0/work/libraw1394-2.0.0/src'                                  
/bin/sh ../libtool --tag=CC   --mode=compile x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I    -O2 -march=native -fomit-frame-pointer -pipe -MT main.lo -MD -MP -MF .deps/main.Tpo -c -o main.lo main.c
/bin/sh ../libtool --tag=CC   --mode=compile x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I    -O2 -march=native -fomit-frame-pointer -pipe -MT eventloop.lo -MD -MP -MF .deps/eventloop.Tpo -c -o eventloop.lo eventloop.c                                                                                                                                                                                        
/bin/sh ../libtool --tag=CC   --mode=compile x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I    -O2 -march=native -fomit-frame-pointer -pipe -MT errors.lo -MD -MP -MF .deps/errors.Tpo -c -o errors.lo errors.c                                                                                                                                                                                                    
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I -O2 -march=native -fomit-frame-pointer -pipe -MT errors.lo -MD -MP -MF .deps/errors.Tpo -c errors.c  -fPIC -DPIC -o .libs/errors.o   
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I -O2 -march=native -fomit-frame-pointer -pipe -MT eventloop.lo -MD -MP -MF .deps/eventloop.Tpo -c eventloop.c  -fPIC -DPIC -o .libs/eventloop.o                                                                                                                                                                                                   
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I -O2 -march=native -fomit-frame-pointer -pipe -MT main.lo -MD -MP -MF .deps/main.Tpo -c main.c  -fPIC -DPIC -o .libs/main.o           
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I -O2 -march=native -fomit-frame-pointer -pipe -MT errors.lo -MD -MP -MF .deps/errors.Tpo -c errors.c -o errors.o >/dev/null 2>&1      
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I -O2 -march=native -fomit-frame-pointer -pipe -MT eventloop.lo -MD -MP -MF .deps/eventloop.Tpo -c eventloop.c -o eventloop.o >/dev/null 2>&1                                                                                                                                                                                                      
mv -f .deps/errors.Tpo .deps/errors.Plo                                                                                                                                                                     
/bin/sh ../libtool --tag=CC   --mode=compile x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I    -O2 -march=native -fomit-frame-pointer -pipe -MT readwrite.lo -MD -MP -MF .deps/readwrite.Tpo -c -o readwrite.lo readwrite.c                                                                                                                                                                                        
mv -f .deps/eventloop.Tpo .deps/eventloop.Plo                                                                                                                                                               
/bin/sh ../libtool --tag=CC   --mode=compile x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I    -O2 -march=native -fomit-frame-pointer -pipe -MT iso.lo -MD -MP -MF .deps/iso.Tpo -c -o iso.lo iso.c    
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I -O2 -march=native -fomit-frame-pointer -pipe -MT readwrite.lo -MD -MP -MF .deps/readwrite.Tpo -c readwrite.c  -fPIC -DPIC -o .libs/readwrite.o
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I -O2 -march=native -fomit-frame-pointer -pipe -MT readwrite.lo -MD -MP -MF .deps/readwrite.Tpo -c readwrite.c -o readwrite.o >/dev/null 2>&1
In function 'open',
    inlined from 'ieee1394_new_handle' at main.c:127:
/usr/include/bits/fcntl2.h:45: error: call to '__open_too_many_args' declared with attribute error: open can be called either with 2 or 3 arguments, not more
In function 'open',
    inlined from 'ieee1394_new_handle' at main.c:130:
/usr/include/bits/fcntl2.h:45: error: call to '__open_too_many_args' declared with attribute error: open can be called either with 2 or 3 arguments, not more
In function 'open',
    inlined from 'ieee1394_new_handle' at main.c:141:
/usr/include/bits/fcntl2.h:45: error: call to '__open_too_many_args' declared with attribute error: open can be called either with 2 or 3 arguments, not more
make[2]: *** [main.lo] Error 1
make[2]: *** Waiting for unfinished jobs....
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I -O2 -march=native -fomit-frame-pointer -pipe -MT iso.lo -MD -MP -MF .deps/iso.Tpo -c iso.c  -fPIC -DPIC -o .libs/iso.o
mv -f .deps/readwrite.Tpo .deps/readwrite.Plo
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I -O2 -march=native -fomit-frame-pointer -pipe -MT iso.lo -MD -MP -MF .deps/iso.Tpo -c iso.c -o iso.o >/dev/null 2>&1
mv -f .deps/iso.Tpo .deps/iso.Plo
make[2]: Leaving directory `/var/tmp/portage/sys-libs/libraw1394-2.0.0/work/libraw1394-2.0.0/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/sys-libs/libraw1394-2.0.0/work/libraw1394-2.0.0'
make: *** [all] Error 2
 *
 * ERROR: sys-libs/libraw1394-2.0.0 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line  191:  Called _eapi0_src_compile
 *               ebuild.sh, line  600:  Called _eapi2_src_compile
 *               ebuild.sh, line  634:  Called die
 * The specific snippet of code:
 *              emake || die "emake failed"
 *  The die message:
 *   emake failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/log/portage/sys-libs:libraw1394-2.0.0:20090604-064913.log'.
 * The ebuild environment file is located at '/var/tmp/portage/sys-libs/libraw1394-2.0.0/temp/environment'.
 *
Comment 1 André Terpstra 2009-06-04 06:52:56 UTC
ZeusGentoo2 ~ # emerge --info
Portage 2.1.6.13 (default/linux/amd64/2008.0, gcc-4.3.3, glibc-2.10.1-r0, 2.6.29-gentoo-r4 x86_64)
=================================================================
System uname: Linux-2.6.29-gentoo-r4-x86_64-Intel-R-_Core-TM-2_Duo_CPU_E6750_@_2.66GHz-with-gentoo-2.0.1
Timestamp of tree: Thu, 04 Jun 2009 05:15:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p24
dev-java/java-config: 2.1.8
dev-lang/python:     2.6.2-r1
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.6.4
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.4.3-r2
sys-apps/sandbox:    1.9
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2, 1.11
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.29
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS=" -O2 -march=native -fomit-frame-pointer -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS=" -O2 -march=native -fomit-frame-pointer -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS=""
FEATURES="ccache distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://192.168.1.222/gentoo"
LDFLAGS="-Wl,-O1"
LINGUAS="nl"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://192.168.1.222/gentoo-portage"
USE="X acl acpi alsa amd64 berkdb bzip2 cdaudio cleartype cli cracklib crypt cups dbus device-mapper dga directfb doc dri exif fam fat fbcon floppy fortran gdbm gif glitz gphoto2 gpm hal htmlhandbook iconv ieee1394 ipv6 isdnlog jadetex java jpeg jpeg2k kde kde4 kdehiddenvisibility lm_sensors logitech-mouse logrotate messenger midi mmx mng mp3tunes mp4 mudflap multilib mysql ncurses network-cron nls nptl nptlonly nsplugin ntfs offensive opengl openmp pam pcre pdf perl png ppds pppd python qt4 readline reflection reiser4 reiserfs session sms spell spl sse sse2 ssl ssse3 svg sysfs tcpd tiff toolbar truetype unicode usb utils visualization webkit winpopup xcb xcomposite xinerama xorg xscreensaver zlib" ALSA_CARDS=" intel-hda" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS=" canon" ELIBC="glibc" INPUT_DEVICES=" keyboard mouse joystick" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="nl" USERLAND="GNU" VIDEO_CARDS=" fbdev nv nvidia vesa vga"
Unset:  CPPFLAGS, CTARGET, FFLAGS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 2 Jouni Rinne 2009-06-04 17:48:51 UTC
Same here, on more or less similar ~amd64 system
Comment 3 kavol 2009-06-05 12:24:09 UTC
happens to me too

I've tried the newer version, 2.0.2, and it is the same
Comment 4 Paul de Vrieze (RETIRED) gentoo-dev 2009-06-05 13:57:20 UTC
It is very weird. When I compile it manually (using make, as user portage) it compiles properly. Also, looking at main.c open is called with 2 parameters so that should not be an issue either. It seems to be somehow toolchain / gcc-config related.
Comment 5 Russell Knighton 2009-06-05 14:06:05 UTC
Similar error here, so I assume it's the same problem, however I am ~x86 not
~amd64 (but it fails on my ~amd64 macbook too...)

/bin/sh ../libtool --tag=CC   --mode=compile i686-pc-linux-gnu-gcc
-DHAVE_CONFIG_H -I. -I.. -I    -O2 -march=athlon-xp -fomit-frame-pointer -pipe
-MT errors.lo -MD -MP -MF .deps/errors.Tpo -c -o errors.lo errors.c
In function ‘open’,
    inlined from ‘ieee1394_new_handle’ at main.c:127:
/usr/include/bits/fcntl2.h:45: error: call to ‘__open_too_many_args’
declared with attribute error: open can be called either with 2 or 3 arguments,
not more
In function ‘open’,
    inlined from ‘ieee1394_new_handle’ at main.c:130:
/usr/include/bits/fcntl2.h:45: error: call to ‘__open_too_many_args’
declared with attribute error: open can be called either with 2 or 3 arguments,
not more
In function ‘open’,
    inlined from ‘ieee1394_new_handle’ at main.c:141:
/usr/include/bits/fcntl2.h:45: error: call to ‘__open_too_many_args’
declared with attribute error: open can be called either with 2 or 3 arguments,
not more
make[2]: *** [main.lo] Error 1
make[2]: *** Waiting for unfinished jobs....
libtool: compile:  i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I -O2
-march=athlon-xp -fomit-frame-pointer -pipe -MT errors.lo -MD -MP -MF
.deps/errors.Tpo -c errors.c  -fPIC -DPIC -o .libs/errors.o
libtool: compile:  i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I -O2
-march=athlon-xp -fomit-frame-pointer -pipe -MT errors.lo -MD -MP -MF
.deps/errors.Tpo -c errors.c -o errors.o >/dev/null 2>&1
mv -f .deps/errors.Tpo .deps/errors.Plo
make[2]: Leaving directory
`/var/tmp/portage/sys-libs/libraw1394-2.0.0/work/libraw1394-2.0.0/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory
`/var/tmp/portage/sys-libs/libraw1394-2.0.0/work/libraw1394-2.0.0'
make: *** [all] Error 2
 * 
 * ERROR: sys-libs/libraw1394-2.0.0 failed.


kryten ~ # emerge --info
Portage 2.2_rc33 (default/linux/x86/2008.0/desktop, gcc-4.3.3, glibc-2.10.1-r0,
2.6.29-gentoo-r5 i686)
=================================================================
System uname: Linux-2.6.29-gentoo-r5-i686-AMD_Sempron-tm-with-gentoo-2.0.1
Timestamp of tree: Fri, 05 Jun 2009 13:00:01 +0000
distcc 3.1 i686-pc-linux-gnu [disabled]
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p24
dev-java/java-config: 2.1.8
dev-lang/python:     2.6.2-r1
dev-python/pycrypto: 2.0.1-r8
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.6.4
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.4.3-r2
sys-apps/sandbox:    2.0
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.4_p6, 1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2, 1.11
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.29
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=athlon-xp -fomit-frame-pointer -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config
/usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/
/etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release
/etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/
/etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash
/etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -march=athlon-xp -fomit-frame-pointer -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks fixpackages parallel-fetch preserve-libs
protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo.virginmedia.com
http://www.mirrorservice.org/sites/www.ibiblio.org/gentoo
http://mirror.qubenet.net/mirror/gentoo
http://vlaai.snt.utwente.nl/pub/os/linux/gentoo http://gentoo.osuosl.org
ftp://ftp.mirrorservice.org/sites/www.ibiblio.org/gentoo
ftp://ftp.join.uni-muenster.de/pub/linux/distributions/gentoo
ftp://mirrors.tds.net/gentoo http://mirrors.tds.net/gentoo
http://gentoo.seren.com/gentoo http://gentoo.mirrors.pair.com"
LANG="en_GB.UTF-8"
LC_ALL="en_GB.UTF-8"
LDFLAGS="-Wl,--as-needed"
LINGUAS="en_GB en"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress
--force --whole-file --delete --stats --timeout=180 --exclude=/distfiles
--exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/layman/berkano /usr/local/portage/default"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext 7zip X a52 aac aalib ace acl acpi administrator aiglx aim
alsa amarok amazon amr amrnb amrwb aoss applet artworkextra asf aspnet aspnet2
aspnetedit asyncns audacious audiofile automount avahi bash-completion bidi
bluetooth bonjour bonobo branding bzip2 cairo caps cdda cddb cdparanoia cdr cjk
cleartype cli consolekit cpio cpudetection cracklib crypt cups curl
custom-cflags custom-cpuopts custom-cxxflags custom-optimization dbus deskbar
device-mapper dga dhcp divx dmi dri dv dvb dvd dvdr dvdread eds emboss emerald
empathy encode esd evo evolution exif fam fastcgi fat fbcon fbcondecor fbsplash
ffmpeg firefox flac flash foomaticdb fortran ftp fuse gb gd gdbm gedit gif gimp
glibc-omitfp glitz gmedia gnome gnome-keyring gnutls gphoto2 gpm gs gsf
gstreamer gtk gtk2 gtkhtml hal hfs howl-compat iconv icq id3 id3tag ieee1394
imagemagick imlib ipod iptc ipv6 isdnlog jabber jack java javascript jikes
joystick jpeg jpeg2k kde kde4 kerberos keyring lcms ldap libnotify
libsamplerate libvisual libwww lirc live lm_sensors lzo mad matroska
mdnsresponder-compat midi migemo mikmod mime ming mjpeg mmap mmx mmxext mng
modplug mono moonlight mozdevelop mozilla moznocompose moznoirc moznomail mp2
mp3 mp4 mpeg mpi mppe-mppc msn musepack nas nautilus ncurses network nforce2
nfs nls nptl nptlonly nsplugin ntfs nvidia oav odbc offensive ogg
on-the-fly-crypt opengl openmp oscar pam pcre pda pdf perl pic pidgin pmu png
policykit ppds pppd prediction prelude python qt3 qt3support qt4 query-browser
quicktime rar readline realmedia reflection reiserfs remote rtc samba sasl
scanner schroedinger sdl sensord session shorten slp sndfile snmp sockets
sounds soundtouch sox speex spell spl srt sse ssh ssl startup-notification
stream subversion svg sysfs syslog szip tcl tcltk tcpd theora tiff tk tracker
truetype type1 unicode usb userlocales v4l v4l2 vamp vcd vdpau vhook videos
vidix vim vim-syntax visualization vorbis wavpack win32codecs wma wmf wmp x264
x86 xanim xattr xcb xcomposite xft xinerama xml xorg xosd xpm xprint xulrunner
xv xvid xvmc yahoo zip zlib" ALSA_CARDS="emu10k1" ALSA_PCM_PLUGINS="adpcm alaw
asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa
lfloat linear meter mmap_emul mulaw multi null plug rate route share shm
softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon
authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default
authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs
dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter
headers ident imagemap include info log_config logio mem_cache mime mime_magic
negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite
setenvif so speling status unique_id userdir usertrack vhost_alias"
ELIBC="glibc" INPUT_DEVICES="keyboard mouse joystick evdev" KERNEL="linux"
LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses
text" LINGUAS="en_GB en" LIRC_DEVICES="all" USERLAND="GNU" VIDEO_CARDS="nv
nvidia vesa v4l"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK,
PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 6 SpanKY gentoo-dev 2009-06-06 00:53:03 UTC
look closely and you'll see the compile invocation is screwed up:
... -I. -I.. -I -O2 -march=native ...

that third -I is lacking a path

granted the resulting error message is confusing, just fix the package and forget about it :p

(tip: FW_DIR is not set)
Comment 7 Joseph Yasi 2009-06-14 04:44:23 UTC
I believe this is a strange ccache issue.  I was encountering this bug on one machine, but it compiled fine on another.  I emerged with FEATURES=-ccache on the non-working machine and it compiled.
Comment 8 André Terpstra 2009-06-14 08:55:36 UTC
(In reply to comment #7)
> I believe this is a strange ccache issue.  I was encountering this bug on one
> machine, but it compiled fine on another.  I emerged with FEATURES=-ccache on
> the non-working machine and it compiled.

Thas was a good idea, made it work for me too (at least on one machine).
Comment 9 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-06-14 09:46:39 UTC
Nothing to do with ccache, it's gcc 4.3.3-r1 that enforces fortified source.
Comment 10 Mike Auty gentoo-dev 2009-06-14 13:08:56 UTC
Created attachment 194640 [details, diff]
libraw1394-2.0.{0,1,2}-fwdir.patch for fixing INCLUDES problem

Hiya guys,

I dunno about any FORTIFY stuff, but as SpanKY shrewdly spotted, there a -I being included in there because the makefile assumes --with-fw-dir will be used, and when it isn't you get an empty -I.  Here's a patch that fixes the configure and makefile to ensure that it only gets included if an additional directory is specified.

I've posted this to the upstream mailing list (which appears to be the place to post bugs).  It's awaiting moderator approval, but I'll post the link here once it gets through...
Comment 11 Mike Auty gentoo-dev 2009-06-19 09:00:17 UTC
Ok, the attached patch just made it into git [1].  I've no idea how long it will take for a new release to be rolled out.  Is it worth applying this patch to the current package and bump to 2.0.2 (which still has the problem)?

[1] http://sourceforge.net/mailarchive/forum.php?thread_name=27dd34e60906182317x44d9c20t53500249ae055802%40mail.gmail.com&forum_name=linux1394-devel
Comment 12 SpanKY gentoo-dev 2009-06-19 11:10:14 UTC
whether you want to apply the same patch (and thus regen autotools) or use a simple local Makefile doesnt matter match ... but it should get fixed

maybe something like this to the Makefile.in:
ifneq ($(FW_DIR),)
INCLUDES += -I$(FW_DIR)
endif
Comment 13 Heinz Hombergs 2009-06-23 16:33:38 UTC
Maybe it's a ccache problem. Cause I have cccache enabled. When I try to compile sys-libs/libraw1394-2.0.0 I get the same error and I use gcc-4.3.3-r2. When I disable the ccache feature sys-libs/libraw1394-2.0.0 compiles without an error.
Comment 14 André Terpstra 2009-06-23 19:40:59 UTC
(In reply to comment #13)
> Maybe it's a ccache problem. Cause I have cccache enabled. When I try to
> compile sys-libs/libraw1394-2.0.0 I get the same error and I use gcc-4.3.3-r2.
> When I disable the ccache feature sys-libs/libraw1394-2.0.0 compiles without an
> error.
> 
see comment #7
Comment 15 SpanKY gentoo-dev 2009-06-23 19:47:59 UTC
whether ccache is required to reproduce the build failure isnt terribly relevant.  the -I option with an empty value is wrong and upstream has already fixed things.
Comment 16 Patrick Lauer gentoo-dev 2009-06-28 21:20:36 UTC
+*libraw1394-2.0.2 (28 Jun 2009)
+
+  28 Jun 2009; Patrick Lauer <patrick@gentoo.org> +libraw1394-2.0.2.ebuild:
+  Bump to 2.0.2

I can't reproduce the failures with that version. Please test and report back!
Comment 17 André Terpstra 2009-06-29 06:15:54 UTC
Sorry, here the problem remains:

>>> Verifying ebuild manifests                                               
>>> Starting parallel fetch                                                  
>>> Emerging (1 of 3) sys-libs/libraw1394-2.0.2                              
>>> Failed to emerge sys-libs/libraw1394-2.0.2, Log file:                    
>>>  '/var/log/portage/sys-libs:libraw1394-2.0.2:20090629-060646.log'        
checking for a BSD-compatible install... /usr/bin/install -c                 
checking whether build environment is sane... yes                            
checking for a thread-safe mkdir -p... /bin/mkdir -p                         
checking for gawk... gawk                                                    
checking whether make sets $(MAKE)... yes                                    
checking for x86_64-pc-linux-gnu-gcc... x86_64-pc-linux-gnu-gcc              
checking for C compiler default output file name... a.out                    
checking whether the C compiler works... yes                                 
checking whether we are cross compiling... no                                
checking for suffix of executables...                                        
checking for suffix of object files... o                                     
checking whether we are using the GNU C compiler... yes                      
checking whether x86_64-pc-linux-gnu-gcc accepts -g... yes                   
checking for x86_64-pc-linux-gnu-gcc option to accept ISO C89... none needed 
checking for style of include used by make... GNU                            
checking dependency style of x86_64-pc-linux-gnu-gcc... gcc3                 
checking build system type... x86_64-pc-linux-gnu                            
checking host system type... x86_64-pc-linux-gnu                             
checking for a sed that does not truncate output... /bin/sed                 
checking for grep that handles long lines and -e... /bin/grep                
checking for egrep... /bin/grep -E                                           
checking for fgrep... /bin/grep -F                                           
checking for ld used by x86_64-pc-linux-gnu-gcc... /usr/x86_64-pc-linux-gnu/bin/ld
checking if the linker (/usr/x86_64-pc-linux-gnu/bin/ld) is GNU ld... yes         
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B             
checking the name lister (/usr/bin/nm -B) interface... BSD nm                     
checking whether ln -s works... yes                                               
checking the maximum length of command line arguments... 1572864                  
checking whether the shell understands some XSI constructs... yes                 
checking whether the shell understands "+="... yes                                
checking for /usr/x86_64-pc-linux-gnu/bin/ld option to reload object files... -r  
checking for x86_64-pc-linux-gnu-objdump... x86_64-pc-linux-gnu-objdump           
checking how to recognize dependent libraries... pass_all                         
checking for x86_64-pc-linux-gnu-ar... x86_64-pc-linux-gnu-ar                     
checking for x86_64-pc-linux-gnu-strip... x86_64-pc-linux-gnu-strip               
checking for x86_64-pc-linux-gnu-ranlib... x86_64-pc-linux-gnu-ranlib             
checking command to parse /usr/bin/nm -B output from x86_64-pc-linux-gnu-gcc object... ok
checking how to run the C preprocessor... x86_64-pc-linux-gnu-gcc -E                     
checking for ANSI C header files... yes                                                  
checking for sys/types.h... yes                                                          
checking for sys/stat.h... yes                                                           
checking for stdlib.h... yes                                                             
checking for string.h... yes                                                             
checking for memory.h... yes                                                             
checking for strings.h... yes                                                            
checking for inttypes.h... yes                                                           
checking for stdint.h... yes                                                             
checking for unistd.h... yes                                                             
checking for dlfcn.h... yes                                                              
checking for objdir... .libs                                                             
checking if x86_64-pc-linux-gnu-gcc supports -fno-rtti -fno-exceptions... no             
checking for x86_64-pc-linux-gnu-gcc option to produce PIC... -fPIC -DPIC                
checking if x86_64-pc-linux-gnu-gcc PIC flag -fPIC -DPIC works... yes                    
checking if x86_64-pc-linux-gnu-gcc static flag -static works... yes                     
checking if x86_64-pc-linux-gnu-gcc supports -c -o file.o... yes                         
checking if x86_64-pc-linux-gnu-gcc supports -c -o file.o... (cached) yes                
checking whether the x86_64-pc-linux-gnu-gcc linker (/usr/x86_64-pc-linux-gnu/bin/ld -m elf_x86_64) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no                                                                           
checking dynamic linker characteristics... GNU/Linux ld.so                                                                          
checking how to hardcode library paths into programs... immediate                                                                   
checking whether stripping libraries is possible... yes                                                                             
checking if libtool supports shared libraries... yes                                                                                
checking whether to build shared libraries... yes                                                                                   
checking whether to build static libraries... yes                                                                                   
checking for a BSD-compatible install... /usr/bin/install -c                                                                        
checking size of void *... 8                                                                                                        
checking for an ANSI C-conforming const... yes                                                                                      
checking whether byte ordering is bigendian... no                                                                                   
configure: creating ./config.status                                                                                                 
config.status: creating Makefile                                                                                                    
config.status: creating libraw1394.pc                                                                                               
config.status: creating libraw1394.spec                                                                                             
config.status: creating src/Makefile                                                                                                
config.status: creating tools/Makefile                                                                                              
config.status: creating doc/Makefile                                                                                                
config.status: creating doc/testlibraw.1                                                                                            
config.status: creating doc/sendiso.1                                                                                               
config.status: creating doc/dumpiso.1                                                                                               
config.status: creating doc/isodump.5                                                                                               
config.status: creating config.h                                                                                                    
config.status: executing depfiles commands                                                                                          
config.status: executing libtool commands                                                                                           
make  all-recursive                                                                                                                 
make[1]: Entering directory `/var/tmp/portage/sys-libs/libraw1394-2.0.2/work/libraw1394-2.0.2'                                      
Making all in src                                                                                                                   
make[2]: Entering directory `/var/tmp/portage/sys-libs/libraw1394-2.0.2/work/libraw1394-2.0.2/src'                                  
/bin/sh ../libtool --tag=CC   --mode=compile x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I    -O2 -march=native -fomit-frame-pointer -pipe -MT main.lo -MD -MP -MF .deps/main.Tpo -c -o main.lo main.c                                                                                                                                              
/bin/sh ../libtool --tag=CC   --mode=compile x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I    -O2 -march=native -fomit-frame-pointer -pipe -MT eventloop.lo -MD -MP -MF .deps/eventloop.Tpo -c -o eventloop.lo eventloop.c                                                                                                                          
/bin/sh ../libtool --tag=CC   --mode=compile x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I    -O2 -march=native -fomit-frame-pointer -pipe -MT errors.lo -MD -MP -MF .deps/errors.Tpo -c -o errors.lo errors.c                                                                                                                                      
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I -O2 -march=native -fomit-frame-pointer -pipe -MT eventloop.lo -MD -MP -MF .deps/eventloop.Tpo -c eventloop.c  -fPIC -DPIC -o .libs/eventloop.o                                                                                                                                     
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I -O2 -march=native -fomit-frame-pointer -pipe -MT main.lo -MD -MP -MF .deps/main.Tpo -c main.c  -fPIC -DPIC -o .libs/main.o                                                                                                                                                         
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I -O2 -march=native -fomit-frame-pointer -pipe -MT errors.lo -MD -MP -MF .deps/errors.Tpo -c errors.c  -fPIC -DPIC -o .libs/errors.o                                                                                                                                                 
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I -O2 -march=native -fomit-frame-pointer -pipe -MT errors.lo -MD -MP -MF .deps/errors.Tpo -c errors.c -o errors.o >/dev/null 2>&1                                                                                                                                                    
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I -O2 -march=native -fomit-frame-pointer -pipe -MT eventloop.lo -MD -MP -MF .deps/eventloop.Tpo -c eventloop.c -o eventloop.o >/dev/null 2>&1                                                                                                                                        
In function 'open',                                                                                                                                                          
    inlined from 'ieee1394_new_handle' at main.c:127:                                                                                                                        
/usr/include/bits/fcntl2.h:45: error: call to '__open_too_many_args' declared with attribute error: open can be called either with 2 or 3 arguments, not more                
In function 'open',                                                                                                                                                          
    inlined from 'ieee1394_new_handle' at main.c:130:
/usr/include/bits/fcntl2.h:45: error: call to '__open_too_many_args' declared with attribute error: open can be called either with 2 or 3 arguments, not more
In function 'open',
    inlined from 'ieee1394_new_handle' at main.c:141:
/usr/include/bits/fcntl2.h:45: error: call to '__open_too_many_args' declared with attribute error: open can be called either with 2 or 3 arguments, not more
make[2]: *** [main.lo] Error 1
make[2]: *** Waiting for unfinished jobs....
mv -f .deps/errors.Tpo .deps/errors.Plo
mv -f .deps/eventloop.Tpo .deps/eventloop.Plo
make[2]: Leaving directory `/var/tmp/portage/sys-libs/libraw1394-2.0.2/work/libraw1394-2.0.2/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/sys-libs/libraw1394-2.0.2/work/libraw1394-2.0.2'
make: *** [all] Error 2
 *
 * ERROR: sys-libs/libraw1394-2.0.2 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line  192:  Called _eapi0_src_compile
 *               ebuild.sh, line  600:  Called _eapi2_src_compile
 *               ebuild.sh, line  634:  Called die
 * The specific snippet of code:
 *              emake || die "emake failed"
 *  The die message:
 *   emake failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/log/portage/sys-libs:libraw1394-2.0.2:20090629-060646.log'.
 * The ebuild environment file is located at '/var/tmp/portage/sys-libs/libraw1394-2.0.2/temp/environment'.
 *

 * Messages for package sys-libs/libraw1394-2.0.2:

 *
 * ERROR: sys-libs/libraw1394-2.0.2 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line  192:  Called _eapi0_src_compile
 *               ebuild.sh, line  600:  Called _eapi2_src_compile
 *               ebuild.sh, line  634:  Called die
 * The specific snippet of code:
 *              emake || die "emake failed"
 *  The die message:
 *   emake failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/log/portage/sys-libs:libraw1394-2.0.2:20090629-060646.log'.
 * The ebuild environment file is located at '/var/tmp/portage/sys-libs/libraw1394-2.0.2/temp/environment'.
 *

Comment 18 Mike Auty gentoo-dev 2009-06-29 10:03:08 UTC
Comment 3 and comment 11 also mention that the problem is still present in 2.0.2 without the patch.  Someone has asked on the mailing list whether upstream can produce a new version bump and he seemed agreeable, so we're just waiting for 2.0.3 to come out.  
Comment 19 Stefan Richter 2009-06-30 19:55:07 UTC
Dan Dennedy released libraw1394 v2.0.4 now which includes the fix.
Comment 20 Patrick Lauer gentoo-dev 2009-06-30 20:09:03 UTC
+*libraw1394-2.0.4 (30 Jun 2009)
+
+  30 Jun 2009; Patrick Lauer <patrick@gentoo.org> +libraw1394-2.0.4.ebuild:
+  Bump to 2.0.4, fixes #272540

I hope that fixes it now :)
Comment 21 André Terpstra 2009-06-30 20:41:00 UTC
I'm sorry but this bug is by far not solved yet. Does "resolved fixed" only mean that a solution may become available in due course? I cannot even verify this solution because portage doesn't contain this ebuild yet (I especially started up one of my systems and synced to try)!

I'm tempted to re-open this bug but will not do that for the moment.

Unfortunately it's not the first time that bugs are considered fixed while they are not.... 
Comment 22 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2009-06-30 21:55:30 UTC
Andre: which mirror did you use? It would have hit the mirrors around 20h30 UTC, which was ten minutes before your comment.

date: 2009-06-30 20:08:57 +0000;  author: patrick;  state: Exp;  commitid: 13244a4a70d94567;